import { AfterViewInit, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { MatPaginator } from "@angular/material/paginator";
import { MatSort } from "@angular/material/sort";
import { Setting, SettingFilter } from "@yukawa/chain-main-angular-core";
import { FilteredTableSource } from "@yukawa/chain-base-angular-store";
import { SettingService } from "../setting.service";
export declare class SettingTableComponent implements OnInit, AfterViewInit {
    private _service;
    displayedColumns: string[];
    filter: SettingFilter;
    dataSource: FilteredTableSource<SettingFilter, Setting>;
    showToolbar: boolean;
    action: EventEmitter<any>;
    paginator: MatPaginator;
    sort: MatSort;
    searchElem: ElementRef;
    customColumns: any[];
    constructor(_service: SettingService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    reload(): void;
    onAction(type: any, payload: any): void;
}
