import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { MatPaginator } from "@angular/material/paginator";
import { MatSort } from "@angular/material/sort";
import { User, UserFilter } from "@yukawa/chain-main-angular-core";
import { FilteredTableSource } from "@yukawa/chain-base-angular-store";
import { UserService } from "../user.service";
export declare class UserTableComponent implements OnInit {
    private _service;
    displayedColumns: string[];
    filter: UserFilter;
    dataSource: FilteredTableSource<UserFilter, User>;
    showToolbar: boolean;
    action: EventEmitter<any>;
    paginator: MatPaginator;
    sort: MatSort;
    searchElem: ElementRef;
    constructor(_service: UserService);
    ngOnInit(): void;
    reload(): void;
    onAction(type: any, payload: any): void;
}
